package nsdb;
public final class CommitFailed
	extends org.omg.CORBA.UserException
{
	public java.lang.String reason;
	public CommitFailed()
	{
		super(nsdb.CommitFailedHelper.id());
	}
	public CommitFailed(java.lang.String _reason,java.lang.String reason)
	{
		super(nsdb.CommitFailedHelper.id()+""+_reason );
		this.reason = reason;
	}
	public CommitFailed(java.lang.String reason)
	{
		this.reason = reason;
	}
}
